Bug 1724170 - "MPI" versions are actually serial
Summary: "MPI" versions are actually serial
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lammps
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-26 11:49 UTC by Dave Love
Modified: 2019-07-12 03:53 UTC (History)
1 user (show)

Fixed In Version: lammps-20190605-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 03:53:21 UTC


Attachments (Terms of Use)

Description Dave Love 2019-06-26 11:49:32 UTC
Description of problem:

The -openmpi and -mpich packages seem actually not to be using MPI.  The libraries don't appear in --requires, and the koji build logs don't show MPI being picked up.  I noticed this with EPEL7 and openmpi (the MPI grid is always reported as 1x1x1), but the f30 build logs are similar.

I'll have a look at debugging it if no-one else gets there first; but cmake...

Version-Release number of selected component (if applicable):

20190605-3

Comment 1 Christoph Junghans 2019-06-26 13:32:09 UTC
I think, I found the issue:

diff --git a/lammps.spec b/lammps.spec
index 58033a7..1b87710 100644
--- a/lammps.spec
+++ b/lammps.spec
@@ -158,7 +158,7 @@ for mpi in '' mpich openmpi ; do
 %endif
     -DCMAKE_INSTALL_BINDIR=${MPI_BIN:-%{_bindir}} -DCMAKE_INSTALL_LIBDIR=${MPI_LIB:-%{_libdir}} -DLAMMPS_MACHINE="${MPI_SUFFIX#_}" -DLAMMPS_LIB_SUFFIX="${MPI_SUFFIX#_}" -DCMAKE_INSTALL_MANDIR=${MPI_MAN:-%{_mandir}} \
     ${mpi:+-DBUILD_MPI=ON -DPKG_MPIIO=ON -DCMAKE_EXE_LINKER_FLAGS="%{__global_ldflags} -Wl,-rpath -Wl,${MPI_LIB} -Wl,--enable-new-dtags" -DCMAKE_SHARED_LINKER_FLAGS="%{__global_ldflags} -Wl,-rpath -Wl,${MPI_LIB} -Wl,--enable-new-dtags"} \
-    $(test -n "${mpi}" && echo -DBUILD_MPI=OFF -DPKG_MPIIO=OFF) -DLAMMPS_TESTING_SOURCE_DIR=$PWD/tests ../cmake
+    $(test -z "${mpi}" && echo -DBUILD_MPI=OFF -DPKG_MPIIO=OFF) -DLAMMPS_TESTING_SOURCE_DIR=$PWD/tests ../cmake
   %make_build
   popd
   test -n "${mpi}" && module unload mpi/${mpi}-%{_arch}

Comment 2 Fedora Update System 2019-06-26 19:26:51 UTC
FEDORA-EPEL-2019-5bceeae18a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5bceeae18a

Comment 3 Fedora Update System 2019-06-27 01:14:44 UTC
lammps-20190605-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5bceeae18a

Comment 4 Christoph Junghans 2019-06-27 15:04:52 UTC
I fixed this build issue on ppc64le and aarch64 as well: https://github.com/lammps/lammps/pull/1539 in the same bump.

Comment 5 Fedora Update System 2019-07-12 03:53:21 UTC
lammps-20190605-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.